# FIXDIR -- Add a trailing / to a directory pathname if it is not already there
# By Doug Mink, SAO Telescope Data Center
# September 13, 2007

procedure fixdir (dirpath)

file	dirpath=""	{prompt="Directory pathname"}

file	newdir=""	{prompt="Fixed  directory pathname (output)"}
bool	verbose=yes	{prompt="Log progress (y or n)"}
bool	debug=yes	{prompt="Print extra information for debugging (y or n)"}

begin
	bool vb, db
	file dir
	int ldir
	string tchar
	real xshift, yshift

	dir = dirpath
	vb = verbose
	db = debug

	ldir = strlen (dir)
	if (vb)
	    print ("FIXDIR: ",ldir,"-char ",dir)

# If directory path is NULL, return a NULL
	if (ldir == 0) {
	    newdir = ""
	    }

#  Find last character of directory pathname
        else {
	    tchar = substr (dir,ldir,1)

# If it is /, just return the directory path
	    if (tchar == '/') {
		newdir = dir
		}

# If it is not /, add a / after the directory path
	    else {
		newdir = dir // "/"
		}
	    }
	return
end

# Sep 13 2007	DJM - New task
