# File hectospec/Scripts/hresetgain.cl
# By Doug Mink
# April 17, 2008

# Reset the gain correction tasks to read gains from image headers

procedure hresetgain ()

bool	verbose = yes	{prompt="Remind user to reset HGAIN and HGAIN1"}

begin

    hgain1.gain1 = "!GAIN"
    hgain1.gain2 = "!GAIN"
    hgain1.gain3 = "!GAIN"
    hgain1.gain4 = "!GAIN"

    hgain.g1 = "!GAIN"
    hgain.g2 = "!GAIN"
    hgain.g3 = "!GAIN"
    hgain.g4 = "!GAIN"

    gaincorr.g1 = "!GAIN"
    gaincorr.g2 = "!GAIN"
    gaincorr.g3 = "!GAIN"
    gaincorr.g4 = "!GAIN"

    if (verbose) {
	print ("Gains in GAINCORR, HGAIN and HGAIN1 will be read from GAIN header keyword")
	}

end

# Apr 14 2008	New task to set gain corrections in HGAIN and HGAIN1
# Apr 17 2008	Set GAINCORR parameters, too
